---
lang: en
title: 'API docs: context.contextview.once_5'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.contextview.once_5.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [ContextView](./context.contextview.md) &gt; [once](./context.contextview.once_5.md)

## ContextView.once() method

**Signature:**

```typescript
once(event: string | symbol, listener: (...args: any[]) => void): this;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  event | string \| symbol |  |
|  listener | (...args: any\[\]) =&gt; void |  |

**Returns:**

this


